### Method

# Gtk SearchBarset_key_capture_widget

#### Declaration [src]

    void
    gtk_search_bar_set_key_capture_widget (
      GtkSearchBar* bar,
      GtkWidget* widget
    )

#### Description [src]

Sets `widget` as the widget that `bar` will capture key events from.

If key events are handled by the search bar, the bar will be shown, and the entry populated with the entered text.

Note that despite the name of this function, the events are only ‘captured’ in the bubble phase, which means that editable child widgets of `widget` will receive text input before it gets captured. If that is not desired, you can capture and forward the events yourself with `gtk_event_controller_key_forward()`.

Sets property | `Gtk.SearchBar:key-capture-widget`

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget`

  The argument can be `NULL`.
  The data is owned by the caller of the method.